package com.ruoyi.project.zjsgfa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.zjsgfa.mapper.SjLjjwMapper;
import com.ruoyi.project.zjsgfa.domain.SjLjjw;
import com.ruoyi.project.zjsgfa.service.ISjLjjwService;

/**
 * 设计-邻井井位Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-07-22
 */
@Service
public class SjLjjwServiceImpl implements ISjLjjwService 
{
    @Autowired
    private SjLjjwMapper sjLjjwMapper;

    /**
     * 查询设计-邻井井位
     * 
     * @param id 设计-邻井井位主键
     * @return 设计-邻井井位
     */
    @Override
    public SjLjjw selectSjLjjwById(Long id)
    {
        return sjLjjwMapper.selectSjLjjwById(id);
    }

    /**
     * 查询设计-邻井井位列表
     * 
     * @param sjLjjw 设计-邻井井位
     * @return 设计-邻井井位
     */
    @Override
    public List<SjLjjw> selectSjLjjwList(SjLjjw sjLjjw)
    {
        return sjLjjwMapper.selectSjLjjwList(sjLjjw);
    }

    /**
     * 新增设计-邻井井位
     * 
     * @param sjLjjw 设计-邻井井位
     * @return 结果
     */
    @Override
    public int insertSjLjjw(SjLjjw sjLjjw)
    {
        return sjLjjwMapper.insertSjLjjw(sjLjjw);
    }

    /**
     * 修改设计-邻井井位
     * 
     * @param sjLjjw 设计-邻井井位
     * @return 结果
     */
    @Override
    public int updateSjLjjw(SjLjjw sjLjjw)
    {
        return sjLjjwMapper.updateSjLjjw(sjLjjw);
    }

    /**
     * 批量删除设计-邻井井位
     * 
     * @param ids 需要删除的设计-邻井井位主键
     * @return 结果
     */
    @Override
    public int deleteSjLjjwByIds(Long[] ids)
    {
        return sjLjjwMapper.deleteSjLjjwByIds(ids);
    }

    /**
     * 删除设计-邻井井位信息
     * 
     * @param id 设计-邻井井位主键
     * @return 结果
     */
    @Override
    public int deleteSjLjjwById(Long id)
    {
        return sjLjjwMapper.deleteSjLjjwById(id);
    }

    @Override
    public int insertSjLjjwBatch(List<SjLjjw> list) {
        return sjLjjwMapper.insertSjLjjwBatch(list);
    }

    @Override
    public int deleteSjLjjwByJh(String jh) {
        return sjLjjwMapper.deleteSjLjjwByJh(jh);
    }
}
